#if defined _DEBUG
#  pragma comment(lib, "ClLibD.lib")    // auto-link to debug DLL
#else
#  pragma comment(lib, "ClLib.lib")     // auto-link to release DLL
#endif


#include <iostream>
#include <ClLib/opencl.hpp>


int main () {
    try {
        // create OpenCL device & context
        ClContextHelper cl;
    } catch (std::exception & e) {
        std::cerr << "ERROR:" << e.what() << std::endl;
        return -1;
    } catch (...) {
        std::cerr << "ERROR: Unknown error" << std::endl;
        return -1;
    }

    // [ClLib]GetDirect3dOpenCLContext::context destructor will crash at program terminations
    // define INTEL_CONTEXT_REF_COUNT_WORK_AROUND in ClLib to work-around crash
    return 0;
}
